package sgc.portal.ei.ei0202.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0202.dto.EI02020001USearch;
import sgc.portal.ei.ei0202.model.EI02020001U;

@Mapper
public interface EI02020001UMapper {
	//차입금 리스트 조회
	List<EasyHashMap<String, Object>> getList(EI02020001USearch search);
	//차입금 행 삽입
	int insert(EI02020001U eI02020001U);
	//차입금 행 수정
	int update(EI02020001U eI02020001U);
	//차입금 행 삭제
	int delete(EI02020001U eI02020001U);
	//차입금 전월 리스트
	int getList1(EI02020001USearch search);
	//차입금 현월 행 삭제
	int deleteCopy(EI02020001USearch search);
	//차입금 전월 행 삽입
	int insertCopy(EI02020001USearch search);
}
